SuperLU: SRC/mmd.c File Reference

# SRC/mmd.c File Reference

## Typedefs
typedef int | shortint
## Functions
int | genmmd_ (int *neqns, int *xadj, shortint *adjncy, shortint *invp, shortint *perm, int *delta, shortint *dhead, shortint *qsize, shortint *llist, shortint *marker, int *maxint, int *nofsub)
int | mmdint_ (int *neqns, int *xadj, shortint *adjncy, shortint *dhead, shortint *dforw, shortint *dbakw, shortint *qsize, shortint *llist, shortint *marker)
int | mmdelm_ (int *mdnode, int *xadj, shortint *adjncy, shortint *dhead, shortint *dforw, shortint *dbakw, shortint *qsize, shortint *llist, shortint *marker, int *maxint, int *tag)
int | mmdupd_ (int *ehead, int *neqns, int *xadj, shortint *adjncy, int *delta, int *mdeg, shortint *dhead, shortint *dforw, shortint *dbakw, shortint *qsize, shortint *llist, shortint *marker, int *maxint, int *tag)
int | mmdnum_ (int *neqns, shortint *perm, shortint *invp, shortint *qsize)

## Typedef Documentation

typedef int shortint

## Function Documentation

int genmmd_ | ( | int * | neqns,
|  | int * | xadj,
|  | shortint * | adjncy,
|  | shortint * | invp,
|  | shortint * | perm,
|  | int * | delta,
|  | shortint * | dhead,
|  | shortint * | qsize,
|  | shortint * | llist,
|  | shortint * | marker,
|  | int * | maxint,
|  | int * | nofsub |
| ) |  |  |

int mmdelm_ | ( | int * | mdnode,
|  | int * | xadj,
|  | shortint * | adjncy,
|  | shortint * | dhead,
|  | shortint * | dforw,
|  | shortint * | dbakw,
|  | shortint * | qsize,
|  | shortint * | llist,
|  | shortint * | marker,
|  | int * | maxint,
|  | int * | tag |
| ) |  |  |

int mmdint_ | ( | int * | neqns,
|  | int * | xadj,
|  | shortint * | adjncy,
|  | shortint * | dhead,
|  | shortint * | dforw,
|  | shortint * | dbakw,
|  | shortint * | qsize,
|  | shortint * | llist,
|  | shortint * | marker |
| ) |  |  |

int mmdnum_ | ( | int * | neqns,
|  | shortint * | perm,
|  | shortint * | invp,
|  | shortint * | qsize |
| ) |  |  |

int mmdupd_ | ( | int * | ehead,
|  | int * | neqns,
|  | int * | xadj,
|  | shortint * | adjncy,
|  | int * | delta,
|  | int * | mdeg,
|  | shortint * | dhead,
|  | shortint * | dforw,
|  | shortint * | dbakw,
|  | shortint * | qsize,
|  | shortint * | llist,
|  | shortint * | marker,
|  | int * | maxint,
|  | int * | tag |
| ) |  |  |